Subject: Re: LLMNR interoperability with Rendezvous?

From: Masataka Ohta <[email-masked]>
Date: Sat, 30 Aug 2003 02:47:18 +0859 ()

Paul;

> > It seems to me that the question should be whether the protocol
> > called Rendezvous is good enough or not.
> > 
> > If it is not, we should keep LLMNR, which may or may not interoperate
> > with Rendezvous.
> > 
> > If it is, we should simply use it and abandon LLMNR.
> 
> as a proponent of the DISCOVER opcode, i have some sympathy for the above
> position.  however, rendezvous and llmnr are not merely different ways to
> accomplish the same thing... they accomplish different things.

A problem is that it is often the case that some of the accomplished
thing may not be so useful that they should be compared only with
useful features.

> for example
> when selecting a printer or file server, apple's macos/x users see the list
> of available resources instantly when they bring up a "chooser" panel; this
> is because the services periodically solicit themselves in some multicast
> kind of way.  to do resource discovery of this kind with llmnr would mean
> a short delay when the panel was being initialized, while all relevant
> servers and printers heard a query and sent a reply.  i do not think that
> apple would consider llmnr a successful replacement for rendezvous as long
> as this feature difference existed.

Thank you.

The remaining question is whether rendezvous is a successful replacement
for llmnr or not.

It is my understanding that llmnr is not DNS and requirements for
llmnr can be satisfied if some sort of discovery is supported,
even if the packet format is not identical to that of DNS.

							Masataka Ohta

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: [email-masked]
Date: Sat, 30 Aug 2003 07:05:09 +0900 (JST)

is dns-sd part of Rendezvous included in the current discussion?
	i assumed not.

> accomplish the same thing... they accomplish different things.  for example

	the above talks about dns-sd part, i guess.

itojun